osmo_stat_item_period Struct Reference
Statistics value item

`#include <stat_item_internal.h>`

## Data Fields

uint32_t | n
| Number of osmo_stat_item_set() that occurred during the reporting period, zero if none. More...
int32_t | min
| Smallest value seen in a reporting period. More...
int32_t | last
| Most recent value passed to osmo_stat_item_set(), or the item->desc->default_value if none. More...
int32_t | max
| Largest value seen in a reporting period. More...
int64_t | sum
| Sum of all values passed to osmo_stat_item_set() in the reporting period. More...

## Field Documentation

## last

int32_t osmo_stat_item_period::last

Most recent value passed to osmo_stat_item_set(), or the item->desc->default_value if none.

Referenced by osmo_stat_item_dec(), osmo_stat_item_flush(), osmo_stat_item_get_last(), osmo_stat_item_inc(), osmo_stat_item_reset(), and osmo_stat_item_set().

## max

int32_t osmo_stat_item_period::max

Largest value seen in a reporting period.

Referenced by osmo_stat_item_flush(), osmo_stat_item_handler(), osmo_stat_item_reset(), and osmo_stat_item_set().

## min

int32_t osmo_stat_item_period::min

Smallest value seen in a reporting period.

Referenced by osmo_stat_item_flush(), osmo_stat_item_reset(), and osmo_stat_item_set().

## n

uint32_t osmo_stat_item_period::n

Number of osmo_stat_item_set() that occurred during the reporting period, zero if none.

Referenced by osmo_stat_item_flush(), osmo_stat_item_reset(), and osmo_stat_item_set().

## sum

int64_t osmo_stat_item_period::sum

Sum of all values passed to osmo_stat_item_set() in the reporting period.

Referenced by osmo_stat_item_flush(), osmo_stat_item_reset(), and osmo_stat_item_set().

The documentation for this struct was generated from the following file:

- src/stat_item_internal.h